Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jboss51
Interface ActivationConfigPropertyType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  ActivationConfigPropertyTypeImpl

    public interface ActivationConfigPropertyType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `activation-config-propertyType` xsd type

Original Documentation:

The activation-config-propertyType contains a name/value
configuration property pair for a message-driven bean.
The properties that are recognized for a particular
message-driven bean are determined by the messaging type.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getActivationConfigPropertyName()` Returns the `activation-config-property-name` element
`java.lang.String` | `getActivationConfigPropertyValue()` Returns the `activation-config-property-value` element
`ActivationConfigPropertyType<T>` | `removeActivationConfigPropertyName()` Removes the `activation-config-property-name` element
`ActivationConfigPropertyType<T>` | `removeActivationConfigPropertyValue()` Removes the `activation-config-property-value` element
`ActivationConfigPropertyType<T>` | `setActivationConfigPropertyName(java.lang.String activationConfigPropertyName)` If not already created, a new `activation-config-property-name` element with the given value will be created.
`ActivationConfigPropertyType<T>` | `setActivationConfigPropertyValue(java.lang.String activationConfigPropertyValue)` If not already created, a new `activation-config-property-value` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setActivationConfigPropertyName

    ActivationConfigPropertyType<T> setActivationConfigPropertyName(java.lang.String activationConfigPropertyName)

  If not already created, a new `activation-config-property-name` element with the given value will be created. Otherwise, the existing `activation-config-property-name` element will be updated with the given value.

  Returns:
    the current instance of `ActivationConfigPropertyType`

### removeActivationConfigPropertyName

    ActivationConfigPropertyType<T> removeActivationConfigPropertyName()

  Removes the `activation-config-property-name` element

  Returns:
    the current instance of `ActivationConfigPropertyType`

### getActivationConfigPropertyName

    java.lang.String getActivationConfigPropertyName()

  Returns the `activation-config-property-name` element

  Returns:
    the node defined for the element `activation-config-property-name`

### setActivationConfigPropertyValue

    ActivationConfigPropertyType<T> setActivationConfigPropertyValue(java.lang.String activationConfigPropertyValue)

  If not already created, a new `activation-config-property-value` element with the given value will be created. Otherwise, the existing `activation-config-property-value` element will be updated with the given value.

  Returns:
    the current instance of `ActivationConfigPropertyType`

### removeActivationConfigPropertyValue

    ActivationConfigPropertyType<T> removeActivationConfigPropertyValue()

  Removes the `activation-config-property-value` element

  Returns:
    the current instance of `ActivationConfigPropertyType`

### getActivationConfigPropertyValue

    java.lang.String getActivationConfigPropertyValue()

  Returns the `activation-config-property-value` element

  Returns:
    the node defined for the element `activation-config-property-value`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD